Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class CSH.DisplayHelpAfterTracking

    java.lang.Object
      javax.help.CSH.DisplayHelpAfterTracking

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  CSH

public static class CSH.DisplayHelpAfterTracking
extends java.lang.Object
implements java.awt.event.ActionListener

An ActionListener that displays help on a selected object after tracking context-sensitive events. It is normally activated from a button. It uses CSH.trackingCSEvents to track context-sensitive events and when an object is selected it gets the helpID for the object and displays the helpID in the help viewer.

Constructor Summary
`CSH.DisplayHelpAfterTracking(HelpBroker hb)`
`CSH.DisplayHelpAfterTracking(HelpSet hs, java.lang.String presentation, java.lang.String presentationName)` Create a DisplayHelpAfterTracking actionListener for a given HelpSet.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSH.DisplayHelpAfterTracking

    public CSH.DisplayHelpAfterTracking(HelpBroker hb)

### CSH.DisplayHelpAfterTracking

    public CSH.DisplayHelpAfterTracking(HelpSet hs,
                                        java.lang.String presentation,
                                        java.lang.String presentationName)

  Create a DisplayHelpAfterTracking actionListener for a given HelpSet. Display the results in specific Presentation of given PresentationName.

Parameters:
  `hs` - A valid HelpSet.
Throws:
  `java.lang.NullPointerException` - if hs is Null.
  `java.lang.IllegalArgumentException` - if presentation is not valid.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD